<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.map.HomeMapNavigationActivity">

    <include
        android:id="@+id/home_map_navigation_bar"
        layout="@layout/layout_top_bar" />

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/home_map_navigation_map_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/home_map_navigation_bar" />


    <RelativeLayout
        android:id="@+id/home_map_navigation_pet_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/home_map_navigation_bar"
        android:layout_marginStart="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_18"
        android:layout_marginEnd="@dimen/dp_12"
        android:background="@drawable/shape20_white_bg"
        android:padding="@dimen/dp_12"
        android:visibility="gone">

        <include
            android:id="@+id/home_map_navigation_pet_head"
            layout="@layout/layout_head_image_view"
            android:layout_width="@dimen/dp_50"
            android:layout_height="@dimen/dp_50" />

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style"
            android:layout_width="wrap_content"
            android:layout_alignTop="@id/home_map_navigation_pet_head"
            android:layout_alignBottom="@id/home_map_navigation_pet_head"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_toEndOf="@id/home_map_navigation_pet_head"
            android:text="把我找回来"
            android:textColor="@color/navigation_text_color"
            android:textSize="@dimen/textSize24"
            app:typeface="@string/roboto_regular_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/home_map_navigation_address"
            style="@style/my_TextView_style"
            android:layout_width="wrap_content"
            android:layout_below="@id/home_map_navigation_pet_head"
            android:layout_alignStart="@id/home_map_navigation_pet_head"
            android:layout_marginStart="@dimen/dp_6"
            android:layout_marginTop="@dimen/dp_10"
            android:drawableStart="@drawable/ico_fence_address"
            android:drawablePadding="@dimen/dp_4"
            android:textColor="@color/fences_address_color"
            android:textSize="@dimen/textSize12"
            app:typeface="@string/roboto_regular_font" />


    </RelativeLayout>


    <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
        android:id="@+id/select_map_navigation_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_marginEnd="@dimen/dp_18"
        android:layout_marginBottom="@dimen/dp_32"
        android:background="@drawable/shape10_yellow_bg"
        android:padding="@dimen/dp_36"
        android:src="@drawable/ico_map_navigation_go" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignTop="@id/select_map_navigation_btn"
        android:layout_alignBottom="@id/select_map_navigation_btn"
        android:layout_marginStart="@dimen/dp_18"
        android:layout_marginEnd="@dimen/dp_4"
        android:layout_toStartOf="@id/select_map_navigation_btn"
        android:background="@drawable/shape8_white_bg"
        android:paddingEnd="@dimen/dp_4">

        <View
            android:id="@+id/home_map_navigation_detail_line"
            android:layout_width="@dimen/dp_1"
            android:layout_height="@dimen/dp_47"
            android:layout_centerInParent="true"
            android:background="@color/lin_bg" />


        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_navigation_distance_value"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/home_map_navigation_detail_line"
            android:layout_alignParentStart="true"
            android:layout_toStartOf="@id/home_map_navigation_detail_line"
            android:gravity="center"
            android:orientation="horizontal">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/map_navigation_distance_value"
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_marginEnd="@dimen/dp_2"
                android:text="0.00"
                android:textSize="@dimen/textSize24"
                app:typeface="@string/number_din_cond_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_gravity="bottom"
                android:layout_marginBottom="@dimen/dp_1"
                android:text="m"
                android:textSize="@dimen/textSize16"
                app:typeface="@string/number_din_cond_font" />

        </androidx.appcompat.widget.LinearLayoutCompat>


        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style"
            android:layout_width="wrap_content"
            android:layout_below="@id/ll_navigation_distance_value"
            android:layout_alignBottom="@id/home_map_navigation_detail_line"
            android:layout_alignParentStart="true"
            android:layout_toStartOf="@id/home_map_navigation_detail_line"
            android:text="距离"
            android:textColor="@color/map_navigation_color"
            android:textSize="@dimen/textSize16"
            app:typeface="@string/roboto_regular_font" />


        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_navigation_walk_value"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/home_map_navigation_detail_line"
            android:layout_alignParentEnd="true"
            android:layout_toEndOf="@id/home_map_navigation_detail_line"
            android:gravity="center"
            android:orientation="horizontal">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/map_navigation_walk_value"
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_marginEnd="@dimen/dp_2"
                android:gravity="end"
                android:text="0.00"
                android:textSize="@dimen/textSize24"
                app:typeface="@string/number_din_cond_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style"
                android:layout_width="wrap_content"
                android:layout_gravity="bottom"
                android:layout_marginBottom="@dimen/dp_1"
                android:text="@string/txt_min"
                android:textSize="@dimen/textSize16"
                app:typeface="@string/number_din_cond_font" />

        </androidx.appcompat.widget.LinearLayoutCompat>


        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style"
            android:layout_width="wrap_content"
            android:layout_below="@id/ll_navigation_walk_value"
            android:layout_alignStart="@id/ll_navigation_walk_value"
            android:layout_alignBottom="@id/home_map_navigation_detail_line"
            android:layout_alignParentEnd="true"
            android:text="步行"
            android:textColor="@color/map_navigation_color"
            android:textSize="@dimen/textSize16"
            app:typeface="@string/roboto_regular_font" />
    </RelativeLayout>
</RelativeLayout>